---
document: modulemd-defaults
version: 1
data:
  module: swig
  profiles:
    4.1: [common]
...
---
document: modulemd
version: 2
data:
  name: swig
  stream: "4.1"
  version: 9020020230413133412
  context: 8cf767d6
  arch: ppc64le
  summary: Connects C/C++/Objective C to some high-level programming languages
  description: >
    Simplified Wrapper and Interface Generator (SWIG) is a software development tool
    for connecting C, C++ and Objective C programs with a variety of high-level programming
    languages. SWIG is used with different types of target languages including common
    scripting languages such as Javascript, Perl, PHP, Python, Tcl and Ruby. The list
    of supported languages also includes non-scripting languages such as C#, D, Go
    language, Java including Android, Lua, OCaml, Octave, Scilab and R. Also several
    interpreted and compiled Scheme implementations (Guile, MzScheme/Racket) are supported.
    SWIG is most commonly used to create high-level interpreted or compiled programming
    environments, user interfaces, and as a tool for testing and prototyping C/C++
    software
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: https://www.swig.org/
    documentation: http://www.swig.org/doc.html
    tracker: https://bugzilla.redhat.com/buglist.cgi?classification=Red%20Hat&component=swig-4.1-module&product=Red%20Hat%20Enterprise%20Linux%208
  profiles:
    common:
      description: Simplified Wrapper and Interface Generator (SWIG)
      rpms:
      - swig
    complete:
      description: SWIG, documentation and commands for easier debugging
      rpms:
      - swig
      - swig-doc
      - swig-gdb
  api:
    rpms:
    - swig
    - swig-doc
    - swig-gdb
  buildopts:
    rpms:
      macros: >
        %_without_build_ccache_swig 1
  components:
    rpms:
      swig:
        rationale: SWIG package
        ref: 78f2a87c86a3f6c0a1246d66f25ab9efd4366bea
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - swig-0:4.1.1-1.module_el9.2.0+23+e9adbfac.ppc64le
    - swig-0:4.1.1-1.module_el9.2.0+23+e9adbfac.src
    - swig-debuginfo-0:4.1.1-1.module_el9.2.0+23+e9adbfac.ppc64le
    - swig-debugsource-0:4.1.1-1.module_el9.2.0+23+e9adbfac.ppc64le
    - swig-doc-0:4.1.1-1.module_el9.2.0+23+e9adbfac.noarch
    - swig-gdb-0:4.1.1-1.module_el9.2.0+23+e9adbfac.ppc64le
...
